Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime
Interface QTConstants

public interface QTConstants

This class represents all of the constants in the QT interfaces.
ALL constants except for constants that start with an acronym, such as MPEG, ... start with a small letter (not a capital one)

Field Summary
`static int` | `gestaltQD3D` Used to ascertain if QuickTime3D is present on user's system
`static int` | `gestaltQD3DPresent` Used to ascertain if QuickTime3D is present on user's system
`static int` | `gestaltQTVRMgrAttr` Used to ascertain if QuickTimeVR is present on user's system
`static int` | `gestaltQTVRMgrPresent` Used to ascertain if QuickTimeVR is present on user's system
`static int` | `gestaltQuickTimeVersion` Used to ascertain if QuickTime is present on user's system
`static int` | `kInitializeQTMLDisableDirectSound`
`static int` | `kInitializeQTMLNoSoundFlag`
`static int` | `kInitializeQTMLUseGDIFlag`
`static int` | `kJavaAltMask` The Alt or Option key was down when the event occurred.
`static int` | `kJavaControlMask` The Control key was down when the event occurred.
`static int` | `kJavaMetaMask` The Meta key was down when the event occurred.
`static int` | `kJavaShiftMask` The Shift key was down when the event occurred.
`static int` | `kJavaVKeyAlt` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyBackSpace` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyCancel` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyCapsLock` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyClear` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyComma` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyControl` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyDown` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyEnd` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyEnter` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyEscape` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyHome` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyLeft` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyPageDown` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyPageUp` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyPause` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyPeriod` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyRight` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyShift` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeySlash` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeySpace` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyTab` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kJavaVKeyUp` Some Java virtual key values - these are the same values as in KeyEvent.
`static int` | `kQTMLHandlePortEvents`
`static int` | `kQTMLNoIdleEvents`

Field Detail

### gestaltQuickTimeVersion

    public static final int gestaltQuickTimeVersion

  Used to ascertain if QuickTime is present on user's system

### gestaltQD3D

    public static final int gestaltQD3D

  Used to ascertain if QuickTime3D is present on user's system

### gestaltQD3DPresent

    public static final int gestaltQD3DPresent

  Used to ascertain if QuickTime3D is present on user's system

### gestaltQTVRMgrAttr

    public static final int gestaltQTVRMgrAttr

  Used to ascertain if QuickTimeVR is present on user's system

### gestaltQTVRMgrPresent

    public static final int gestaltQTVRMgrPresent

  Used to ascertain if QuickTimeVR is present on user's system

### kInitializeQTMLNoSoundFlag

    public static final int kInitializeQTMLNoSoundFlag

### kInitializeQTMLUseGDIFlag

    public static final int kInitializeQTMLUseGDIFlag

### kQTMLHandlePortEvents

    public static final int kQTMLHandlePortEvents

### kQTMLNoIdleEvents

    public static final int kQTMLNoIdleEvents

### kInitializeQTMLDisableDirectSound

    public static final int kInitializeQTMLDisableDirectSound

### kJavaShiftMask

    public static final int kJavaShiftMask

  The Shift key was down when the event occurred.

### kJavaControlMask

    public static final int kJavaControlMask

  The Control key was down when the event occurred.

### kJavaMetaMask

    public static final int kJavaMetaMask

  The Meta key was down when the event occurred.

### kJavaAltMask

    public static final int kJavaAltMask

  The Alt or Option key was down when the event occurred.

### kJavaVKeyEnter

    public static final int kJavaVKeyEnter

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyBackSpace

    public static final int kJavaVKeyBackSpace

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyTab

    public static final int kJavaVKeyTab

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyCancel

    public static final int kJavaVKeyCancel

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyClear

    public static final int kJavaVKeyClear

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyShift

    public static final int kJavaVKeyShift

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyControl

    public static final int kJavaVKeyControl

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyAlt

    public static final int kJavaVKeyAlt

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyPause

    public static final int kJavaVKeyPause

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyCapsLock

    public static final int kJavaVKeyCapsLock

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyEscape

    public static final int kJavaVKeyEscape

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeySpace

    public static final int kJavaVKeySpace

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyPageUp

    public static final int kJavaVKeyPageUp

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyPageDown

    public static final int kJavaVKeyPageDown

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyEnd

    public static final int kJavaVKeyEnd

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyHome

    public static final int kJavaVKeyHome

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyLeft

    public static final int kJavaVKeyLeft

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyUp

    public static final int kJavaVKeyUp

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyRight

    public static final int kJavaVKeyRight

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyDown

    public static final int kJavaVKeyDown

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyComma

    public static final int kJavaVKeyComma

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeyPeriod

    public static final int kJavaVKeyPeriod

  Some Java virtual key values - these are the same values as in KeyEvent.

### kJavaVKeySlash

    public static final int kJavaVKeySlash

  Some Java virtual key values - these are the same values as in KeyEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD